<?xml version="1.5" ?>
<!-- ##% Launch simulation ###
	 % no controller
	 % slope
-->
<launch>
	<arg name="record_data" default="true"/>
	<arg name="filename" default="no_control_slope"/>
	<arg name="prefix" default=""/>
	<arg name="folder" default="final"/>

	<arg name="paused" default="false"/>
	<arg name="verbose" default="false"/>
	<arg name="gui" default="false"/>


	<include file="$(find trolley_simulation)/launch/sim_base.launch">
		<!--@ disturbance -->
		<arg name="added_mass" value="false"/>
		<arg name="slope" value="true"/>

		<!--@ controller -->
		<arg name="enable_feedback" value="false"/>
		<arg name="controller" value="true"/>
		<arg name="handle_force" value="true"/>
		<arg name="handle_force_added_mass" value="acc"/>

		<!--@ record -->
		<arg name="record_data" value="$(arg record_data)"/>
		<arg name="filename" value="$(arg prefix)$(arg filename)"/>
		<arg name="folder" value="$(arg folder)"/>

		<!--@ other -->
		<arg name="start_delay" value="false" if="$(eval paused)"/>
		<arg name="verbose" value="$(arg verbose)"/>
		<arg name="debug" value="$(arg verbose)"/>
		<arg name="gui" value="$(arg gui)"/>
	</include>
</launch>
